function [value] = OFvalue ( x )
%definition of objective function value

global Dim

global E
global b
global l
global M0
global rho
global F
global alpha

%mass calculation

M=0;
for i=1:Dim
    M = M + b*x(i)*l*rho;
end

I = zeros(Dim,1);
for i=1:Dim;
    I(i) = b*x(i)^3/12;
end

K = [ ...
    1/I(1) 0 -1/I(2) 0 0 0; ...
    l/I(1) 1/I(1) -l/I(2) -1/I(2) 0 0; ...
    0 0 1/I(2) 0 -1/I(3) 0; ...
    0 0 2*l/I(2) 1/I(2) -2*l/I(3) -1/I(3); ...
    0 0 0 0 1/I(3) 0; ...
    0 0 0 0 3*l/I(3) 1/I(3) ];




f = [ (1/I(2)-1/I(1))/2; ...
      (1/I(2)-1/I(1))*l/6; ...
      (1/I(3)-1/I(2))*2; ...
      (1/I(3)-1/I(2))*4*l/3; ...
      -1/I(3)*9/2; ...
      -1/I(3)*9*l/2 ]*(F*l^2);

C = linsolve(K,f);  

W = 1/E/I(1)*C(2);
  
  
value = -abs(M-M0)-W*alpha;
